## org.eclipse.emf.compare.epatch.applier
Class AbstractEpatchMapping.EpatchMappingEntryImpl

    java.lang.Object
      org.eclipse.emf.compare.epatch.applier.AbstractEpatchMapping.EpatchMappingEntryImpl

All Implemented Interfaces:
  EpatchMapping.EpatchMappingEntry

Enclosing class:
  AbstractEpatchMapping

    public class AbstractEpatchMapping.EpatchMappingEntryImpl

extends java.lang.Object
implements EpatchMapping.EpatchMappingEntry

Constructor Summary
`AbstractEpatchMapping.EpatchMappingEntryImpl(org.eclipse.emf.ecore.EObject src, org.eclipse.emf.ecore.EObject dst, NamedObject ptc)`

Method Summary
`org.eclipse.emf.ecore.EObject` `getDst()`
`NamedObject` `getPtc()`
`org.eclipse.emf.ecore.EObject` `getSrc()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractEpatchMapping.EpatchMappingEntryImpl

    public AbstractEpatchMapping.EpatchMappingEntryImpl(org.eclipse.emf.ecore.EObject src,
                                                        org.eclipse.emf.ecore.EObject dst,
                                                        NamedObject ptc)

Method Detail

### getDst

    public org.eclipse.emf.ecore.EObject getDst()

  Specified by:
    `getDst` in interface `EpatchMapping.EpatchMappingEntry`

### getPtc

    public NamedObject getPtc()

  Specified by:
    `getPtc` in interface `EpatchMapping.EpatchMappingEntry`

### getSrc

    public org.eclipse.emf.ecore.EObject getSrc()

  Specified by:
    `getSrc` in interface `EpatchMapping.EpatchMappingEntry`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2006 IBM Corporation and others. All Rights Reserved.